/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Michal Malý <michal.maly@ibt.cas.cz>
 * @author Jiří Černý <jiri.cerny@ibt.cas.cz>
 */
import { DataLocation } from '../../../mol-model/location';
import { DataLoci } from '../../../mol-model/loci';
import { confalPyramidLabel } from './behavior';
export var ConfalPyramidsTypes;
(function (ConfalPyramidsTypes) {
    ConfalPyramidsTypes.DataTag = 'dnatco-confal-half-pyramid';
    function Location(step, isLower) {
        return DataLocation(ConfalPyramidsTypes.DataTag, { step: step, isLower: isLower }, {});
    }
    ConfalPyramidsTypes.Location = Location;
    function isLocation(x) {
        return !!x && x.kind === 'data-location' && x.tag === ConfalPyramidsTypes.DataTag;
    }
    ConfalPyramidsTypes.isLocation = isLocation;
    function Loci(data, elements) {
        return DataLoci(ConfalPyramidsTypes.DataTag, data, elements, undefined, function () { return confalPyramidLabel(data); });
    }
    ConfalPyramidsTypes.Loci = Loci;
    function isLoci(x) {
        return !!x && x.kind === 'data-loci' && x.tag === ConfalPyramidsTypes.DataTag;
    }
    ConfalPyramidsTypes.isLoci = isLoci;
})(ConfalPyramidsTypes || (ConfalPyramidsTypes = {}));
