/**
 * Copyright (c) 2018-2022 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Adam Midlik <midlik@gmail.com>
 */
import { MeshServerInfo } from './mesh-streaming/server-info';
import { PluginUIContext } from '../../mol-plugin-ui/context';
import { PluginContext } from '../../mol-plugin/context';
import { StateObjectRef, StateObjectSelector } from '../../mol-state';
import { Color } from '../../mol-util/color';
export declare const DB_URL = "/db";
export declare function runMeshExtensionExamples(plugin: PluginUIContext, db_url?: string): Promise<void>;
/** Example for downloading multiple separate segments, each containing 1 mesh. */
export declare function runMeshExample(plugin: PluginUIContext, segments: 'fg' | 'all', db_url?: string): Promise<void>;
/** Example for downloading multiple separate segments, each containing 1 mesh. */
export declare function runMeshExample2(plugin: PluginUIContext, segments: 'one' | 'few' | 'fg' | 'all'): Promise<void>;
/** Example for downloading a single segment containing multiple meshes. */
export declare function runMultimeshExample(plugin: PluginUIContext, segments: 'fg' | 'all', detailChoice: 'best' | 'worst', db_url?: string): Promise<void>;
/** Download data and create state tree hierarchy down to visual representation. */
export declare function createMeshFromUrl(plugin: PluginContext, meshDataUrl: string, segmentId: number, detail: number, collapseTree: boolean, color?: Color, parent?: StateObjectSelector | StateObjectRef, transparentIfBboxAbove?: number, name?: string, ownerId?: string): Promise<string>;
export declare function runMeshStreamingExample(plugin: PluginUIContext, source?: MeshServerInfo.MeshSource, entryId?: string, serverUrl?: string, parent?: StateObjectSelector): Promise<void>;
/** Example for downloading a protein structure and visualizing molecular surface. */
export declare function runMolsurfaceExample(plugin: PluginUIContext): Promise<void>;
/** Example for downloading an EMDB density data and visualizing isosurface. */
export declare function runIsosurfaceExample(plugin: PluginUIContext, db_url?: string): Promise<void>;
export declare function runCifMeshExample(plugin: PluginUIContext, api?: string, source?: MeshServerInfo.MeshSource, entryId?: string, segmentId?: number, detail?: number): Promise<void>;
